//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializetestParseReport")
inline fun testParseReport(block: gg.dsepractice.chinese.v1alpha1.TestParseReportKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.TestParseReport =
  gg.dsepractice.chinese.v1alpha1.TestParseReportKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.TestParseReport.newBuilder()).apply { block() }._build()
object TestParseReportKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.TestParseReport.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.TestParseReport.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.TestParseReport = _builder.build()

    /**
     * An uninstantiable, behaviorless type to represent the field in
     * generics.
     */
    @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
    class ClassicTextsProxy private constructor() : com.google.protobuf.kotlin.DslProxy()
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
     val classicTexts: com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>
      @kotlin.jvm.JvmSynthetic
      get() = com.google.protobuf.kotlin.DslList(
        _builder.getClassicTextsList()
      )
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     * @param value The classicTexts to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addClassicTexts")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.add(value: gg.dsepractice.chinese.v1alpha1.ClassicText) {
      _builder.addClassicTexts(value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     * @param value The classicTexts to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignClassicTexts")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.plusAssign(value: gg.dsepractice.chinese.v1alpha1.ClassicText) {
      add(value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     * @param values The classicTexts to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addAllClassicTexts")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.addAll(values: kotlin.collections.Iterable<gg.dsepractice.chinese.v1alpha1.ClassicText>) {
      _builder.addAllClassicTexts(values)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     * @param values The classicTexts to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignAllClassicTexts")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.plusAssign(values: kotlin.collections.Iterable<gg.dsepractice.chinese.v1alpha1.ClassicText>) {
      addAll(values)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     * @param index The index to set the value at.
     * @param value The classicTexts to set.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("setClassicTexts")
    operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.set(index: kotlin.Int, value: gg.dsepractice.chinese.v1alpha1.ClassicText) {
      _builder.setClassicTexts(index, value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("clearClassicTexts")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.ClassicText, ClassicTextsProxy>.clear() {
      _builder.clearClassicTexts()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.TestParseReport.copy(block: gg.dsepractice.chinese.v1alpha1.TestParseReportKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.TestParseReport =
  gg.dsepractice.chinese.v1alpha1.TestParseReportKt.Dsl._create(this.toBuilder()).apply { block() }._build()

